List publishing schedules
List publishing schedules (posts:read)
Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.
GET
header
AuthorizationBearer <token>API key (stk_...), or in the Community Edition the access token (stk_local_...)
collection_id?stringA collection id or exact name
OK
application/json- response
data*array<>curl -X GET 'https://staqly.example.com/v1/schedules'{ "data": [ { "id": "string", "collection_id": "string", "collection_name": "string", "name": "string", "channels": [ "string" ], "channel_names": [ "string" ], "kind": "once", "run_at": "2019-08-24T14:15:22Z", "rule": { "times": [ "09:00", "17:30" ], "weekdays": [ 0 ], "tz": "Europe/Warsaw", "every_minutes": 5 }, "pick": "next", "post_ids": [ "string" ], "source": "none", "endpoint_url": "string", "endpoint_secret": "string", "enabled": true, "next_run_at": "2019-08-24T14:15:22Z", "last_run_at": "2019-08-24T14:15:22Z", "last_result": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}